"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBar = void 0;
const react_1 = __importDefault(require("react"));
const react_2 = require("@iconify/react");
const StatusBar = ({ isConnected, onReconnect, onClearHistory, onReviewDiff, onReindex }) => (react_1.default.createElement("div", { className: "status" },
    isConnected ? (react_1.default.createElement("span", null,
        react_1.default.createElement("span", { className: 'connectionIndicator-connected' }, "\u25CF\uFE0E"),
        "Connected")) : (react_1.default.createElement("a", { className: 'iconButton', onClick: onReconnect, title: "Reconnect" },
        react_1.default.createElement("span", null,
            react_1.default.createElement("span", { className: 'connectionIndicator-disconnected' }, "\u25CF\uFE0E"),
            "Disconnected"))),
    react_1.default.createElement("div", { className: "status-buttons" },
        react_1.default.createElement("a", { className: "iconButton", onClick: onClearHistory, title: "Clear chat history" },
            react_1.default.createElement(react_2.Icon, { icon: 'codicon:trash', height: 16, width: 16 })),
        react_1.default.createElement("a", { className: "iconButton", onClick: onReviewDiff, title: "Review uncommitted changes" },
            react_1.default.createElement(react_2.Icon, { icon: 'codicon:code-review', height: 16, width: 16 })),
        react_1.default.createElement("a", { className: 'iconButton', onClick: onReindex, title: "Reindex Repository" },
            react_1.default.createElement(react_2.Icon, { icon: 'codicon:sync', height: 16, width: 16 })))));
exports.StatusBar = StatusBar;
//# sourceMappingURL=StatusBar.js.map